//
// File: assembler.cpp
//
// master file for assembler


#include <iostream>
#include "asm.h"
#include "error.h"

int main( int argc, char *argv[] ) {
	try {
		if (argc<2) {
			cout << "MiniMIPS-assembler - Rune M. Barnkob (c973431)" << endl;
			cout << "----------------------------------------------" << endl;
			cout << "Must supply source filename!" << endl;
			cout << endl;
			return 1;
		}
		string fname = argv[1];

		Assembler a;
		a.assemble(fname, fname+".bin", fname+".map" );
	} catch (Error e) {
		cerr << e.getMsg() << endl;
	}
}
