#include <iostream>
#include "disasm.h"
#include <fstream>
#include <iomanip>

// fix endians
WORD fix_endian(int i) {
	return ((i&0xFF)<<8) | ((i&0xFF00)>>8);
}

int main() {
	fstream im("image.bin", ios::binary|ios::in);
	WORD v;
	WORD pc=0;
	int read=1;
	
	DisAsm d;
	im.seekg(0);
	while (im.read(&v, 2)) {
			v = fix_endian(v);
//			cout << d.disasm(v, pc, DisAsm::opcode_bin|DisAsm::opcode_hex|DisAsm::has_addr|DisAsm::print_addr) << endl;
			cout << DisAsm(v, pc) << endl;
			pc+=2;
	}
	
/*	for (v=0; v<0x1FFF; v++)
		cout << DisAsm(v,0) << endl;
*/
};	