-------------------------------------------------------------------------------
-- WriteBack.vhd
-- -------------
-- Write Back stage of the pipeline (dummy)
--
-- Author      :  c973811 Mikael Lund Jepsen
--             :  c973431 Rune M. Barnkob
-- Last Update :  2001/01/15
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- Write-Back does no real work
-------------------------------------------------------------------------------
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use WORK.types.all;

entity WriteBack is
  port(
    WB_CI_WB:  in bit_t;
    WB_CI_WBR: in std_logic_vector(2 downto 0);
    WB_DI_RES: in halfword_t;
    WB_CO_WB:  out bit_t;
    WB_CO_WBR: out std_logic_vector(2 downto 0);
    WB_DO_RES: out halfword_t
  );
end entity WriteBack;

architecture behaviour of WriteBack is
begin
  WB_CO_WB <= WB_CI_WB;
  WB_CO_WBR <= WB_CI_WBR;
  WB_DO_RES <= WB_DI_RES;
end behaviour;


