#ifndef ERROR_H
#define ERROR_H
///////////////////////////////////////////////////////////////////////////////
// error.h
// --------
// Declares the general class for exceptions used in the assembler.
//
// History:
//   2000-10-16	1.0	Rune M. Barnkob (c973431)

#include <string>

class Error {
	public:
		Error();
		Error( int, string="");
		~Error() {}

		virtual string getMsg();

	protected:
		int ecode;
		string emsg;
};

#endif
